<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_CreatMDPController extends AbsApiController
{

    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();

        $return['Trads']['MLS_Titre_Modif_Mdp'] = $trad->t('Création mot de passe');
        $return['Trads']['MLS_Txt_NouveauMdp1'] = $trad->t('Nouveau mot de passe');
        $return['Trads']['MLS_Txt_NouveauMdp2'] = $trad->t('Confirmation mot de passe');
        $return['Trads']['MLS_Btn_Enregistrer'] = $trad->t('Enregistrer');
        $return['Trads']['MLS_OK'] = $trad->t('Votre mot de passe a bien été créé');
        $return['Trads']['MLS_Echec'] = $trad->t('Echec de la modification.');
        $return['Trads']['MLS_Delai_Expire'] = $trad->t('Le délai est expiré');
        $return['Trads']['MLS_Mdp_Oblig'] = $trad->t('Vous devez saisir un mot de passe');
        $return['Trads']['MLS_Mdp_Diff'] = $trad->t('Votre saisie du nouveau mot de passe n\'est pas identique');
       
        return $this->createApiResponse($return);
    }
}
